# eric4.E4Network.E4NetworkProxyFactory

Module implementing a network proxy factory.

### Global Attributes

None

### Classes

E4NetworkProxyFactory | Class implementing a network proxy factory.

### Functions

None

## E4NetworkProxyFactory

Class implementing a network proxy factory.

### Derived from

QNetworkProxyFactory

### Class Attributes

None

### Class Methods

None

### Methods

E4NetworkProxyFactory | Constructor
queryProxy | Public method to determine a proxy for a given query.

### Static Methods

None

#### E4NetworkProxyFactory (Constructor)

E4NetworkProxyFactory()

Constructor

#### E4NetworkProxyFactory.queryProxy

queryProxy(query)

Public method to determine a proxy for a given query.

query
  reference to the query object (QNetworkProxyQuery)

Returns:
  list of proxies in order of preference (list of QNetworkProxy)

Up